//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

package com.emr.entity;

public class Archive_Detail_Vo {
    private String id;
    private String pdfPath;
    private String masterid;
    private String uploaddatetime;
    private String assortid;
    private String source;
    private String subassort;
    private String title;
    private String flag;
    private String sys;
    private int pageNumber;
    private String assortId;
    private String assortName;
    private Short assortSort;
    private String printFlag;
    private String patientId;
    private String scanPage;
    private int pageNum;
    private String recoverPdfPath;
    private String archivestate;
    private String cmtDoctorDate;
    private String cmtNurseDate;
    private String createTime;

    public Archive_Detail_Vo() {
    }

    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getPdfPath() {
        return this.pdfPath;
    }

    public void setPdfPath(String pdfPath) {
        this.pdfPath = pdfPath == null ? null : pdfPath.trim();
    }

    public String getMasterid() {
        return this.masterid;
    }

    public void setMasterid(String masterid) {
        this.masterid = masterid == null ? null : masterid.trim();
    }

    public String getUploaddatetime() {
        return this.uploaddatetime;
    }

    public void setUploaddatetime(String uploaddatetime) {
        this.uploaddatetime = uploaddatetime == null ? null : uploaddatetime.trim();
    }

    public String getAssortid() {
        return this.assortid;
    }

    public void setAssortid(String assortid) {
        this.assortid = assortid == null ? null : assortid.trim();
    }

    public String getSource() {
        return this.source;
    }

    public void setSource(String source) {
        this.source = source == null ? null : source.trim();
    }

    public String getSubassort() {
        return this.subassort;
    }

    public void setSubassort(String subassort) {
        this.subassort = subassort == null ? null : subassort.trim();
    }

    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    public String getFlag() {
        return this.flag;
    }

    public void setFlag(String flag) {
        this.flag = flag == null ? null : flag.trim();
    }

    public String getSys() {
        return this.sys;
    }

    public void setSys(String sys) {
        this.sys = sys == null ? null : sys.trim();
    }

    public int getPageNumber() {
        return this.pageNumber;
    }

    public void setPageNumber(int pageNumber) {
        this.pageNumber = pageNumber;
    }

    public String getAssortId() {
        return this.assortId;
    }

    public void setAssortId(String assortId) {
        this.assortId = assortId == null ? null : assortId.trim();
    }

    public String getAssortName() {
        return this.assortName;
    }

    public void setAssortName(String assortName) {
        this.assortName = assortName == null ? null : assortName.trim();
    }

    public Short getAssortSort() {
        return this.assortSort;
    }

    public void setAssortSort(Short assortSort) {
        this.assortSort = assortSort;
    }

    public String getPrintFlag() {
        return this.printFlag;
    }

    public void setPrintFlag(String printFlag) {
        this.printFlag = printFlag == null ? null : printFlag.trim();
    }

    public String getPatientId() {
        return this.patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId == null ? null : patientId.trim();
    }

    public String getScanPage() {
        return this.scanPage;
    }

    public void setScanPage(String scanPage) {
        this.scanPage = scanPage == null ? null : scanPage.trim();
    }

    public Integer getPageNum() {
        return this.pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }

    public String getArchivestate() {
        return this.archivestate;
    }

    public void setArchivestate(String archivestate) {
        this.archivestate = archivestate == null ? null : archivestate.trim();
    }

    public String getCmtDoctorDate() {
        return this.cmtDoctorDate;
    }

    public void setCmtDoctorDate(String cmtDoctorDate) {
        this.cmtDoctorDate = cmtDoctorDate == null ? null : cmtDoctorDate.trim();
    }

    public String getCmtNurseDate() {
        return this.cmtNurseDate;
    }

    public void setCmtNurseDate(String cmtNurseDate) {
        this.cmtNurseDate = cmtNurseDate;
    }

    public String getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime == null ? null : createTime.trim();
    }
}
